Loading...
Searching...
No Matches
pdftron::PDF::OptimizerSettings Class Reference

`#include <Optimizer.h>`

## Public Member Functions
| OptimizerSettings ()
void | SetColorImageSettings (const ImageSettings &settings)
void | SetGrayscaleImageSettings (const ImageSettings &settings)
void | SetMonoImageSettings (const MonoImageSettings &settings)
void | SetTextSettings (const TextSettings &settings)
void | RemoveCustomEntries (bool should_remove)

## Public Attributes
ImageSettings | m_color_image_settings
ImageSettings | m_grayscale_image_settings
MonoImageSettings | m_mono_image_settings
TextSettings | m_text_settings
bool | m_remove_custom

## Detailed Description

A class that stores settings for the optimizer

Definition at line 260 of file Optimizer.h.

## Constructor & Destructor Documentation

## ◆ OptimizerSettings()

pdftron::PDF::OptimizerSettings::OptimizerSettings | ( |  | ) |

create an OptimizerSettings object with default options

## Member Function Documentation

## ◆ RemoveCustomEntries()

void pdftron::PDF::OptimizerSettings::RemoveCustomEntries | ( | bool | should_remove | ) |

Enable or disable removal of custom entries in the PDF. By default custom entries are removed.

Parameters

  should_remove | if true custom entries will be removed.

## ◆ SetColorImageSettings()

void pdftron::PDF::OptimizerSettings::SetColorImageSettings | ( | const ImageSettings & | settings | ) |

updates the settings for color image processing

## ◆ SetGrayscaleImageSettings()

void pdftron::PDF::OptimizerSettings::SetGrayscaleImageSettings | ( | const ImageSettings & | settings | ) |

updates the settings for grayscale image processing

## ◆ SetMonoImageSettings()

void pdftron::PDF::OptimizerSettings::SetMonoImageSettings | ( | const MonoImageSettings & | settings | ) |

updates the settings for monochrome image processing

## ◆ SetTextSettings()

void pdftron::PDF::OptimizerSettings::SetTextSettings | ( | const TextSettings & | settings | ) |

updates the settings for text processing

## Member Data Documentation

## ◆ m_color_image_settings

ImageSettings pdftron::PDF::OptimizerSettings::m_color_image_settings

Definition at line 294 of file Optimizer.h.

## ◆ m_grayscale_image_settings

ImageSettings pdftron::PDF::OptimizerSettings::m_grayscale_image_settings

Definition at line 295 of file Optimizer.h.

## ◆ m_mono_image_settings

MonoImageSettings pdftron::PDF::OptimizerSettings::m_mono_image_settings

Definition at line 296 of file Optimizer.h.

## ◆ m_remove_custom

bool pdftron::PDF::OptimizerSettings::m_remove_custom

Definition at line 298 of file Optimizer.h.

## ◆ m_text_settings

TextSettings pdftron::PDF::OptimizerSettings::m_text_settings

Definition at line 297 of file Optimizer.h.

The documentation for this class was generated from the following file:

- PDF/Optimizer.h